Update application
curl --request PATCH \
--url https://cloud.laravel.com/api/applications/{application} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"default_environment_id": "<string>",
"repository": "<string>",
"slack_channel": "<string>"
}
'{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"slug": "<string>",
"slack_channel": "<string>",
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"repository": {
"full_name": "<string>",
"default_branch": "<string>"
}
},
"relationships": {
"repository": {
"data": {
"id": "<string>"
}
},
"organization": {
"data": {
"id": "<string>"
}
},
"environments": {
"data": [
{
"id": "<string>"
}
]
},
"deployments": {
"data": [
{
"id": "<string>"
}
]
},
"defaultEnvironment": {
"data": {
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>"
}
}
]
}Applications
Update application
Update an application.
PATCH
/
applications
/
{application}
Update application
curl --request PATCH \
--url https://cloud.laravel.com/api/applications/{application} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"default_environment_id": "<string>",
"repository": "<string>",
"slack_channel": "<string>"
}
'{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"slug": "<string>",
"slack_channel": "<string>",
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"repository": {
"full_name": "<string>",
"default_branch": "<string>"
}
},
"relationships": {
"repository": {
"data": {
"id": "<string>"
}
},
"organization": {
"data": {
"id": "<string>"
}
},
"environments": {
"data": [
{
"id": "<string>"
}
]
},
"deployments": {
"data": [
{
"id": "<string>"
}
]
},
"defaultEnvironment": {
"data": {
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>"
}
}
]
}Authorizations
The Bearer Token generated on the Cloud UI.
Path Parameters
The application identifier
Body
application/json
The source control provider. This parameter will be required starting March 9, 2026.
Available options:
github, gitlab, bitbucket Required string length:
3 - 40Pattern:
^[\p{Latin}0-9 _.'-]+$Minimum string length:
3Response
ApplicationResource
Was this page helpful?
⌘I

